Clio
282 tools • OpenAPI spec ↗
GETlist_activities/activitiesReturn the data for all Activities
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| activity_description_id | string | No | The unique identifier for a single ActivityDescription. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| calendar_entry_id | string | No | The unique identifier for a single CalendarEntry. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| communication_id | string | No | The unique identifier for a single Communication. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| contact_note_id | string | No | The unique identifier for a single Note. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| created_since | string | No | Filter Activity records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| end_date | string | No | Filter Activity records to those whose `date` is on or before the date provided (Expects an ISO-8601 date). |
| expense_category_id | string | No | The unique identifier for a single ExpenseCategory. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| flat_rate | string | No | Filter Activity TimeEntry records to those that have a flat rate, or not. |
| grant_id | string | No | The unique identifier for a single Grant. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| ids[] | string | No | Filter Activity records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of Activity records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| matter_note_id | string | No | The unique identifier for a single Note. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| only_unaccounted_for | string | No | Only unaccounted for activities. |
| order | string | No | Orders the Activity records by the given field. Default: `id(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Wildcard search for `note` matching a given string. |
| start_date | string | No | Filter Activity records to those whose `date` is on or after the date provided (Expects an ISO-8601 date). |
| status | string | No | Filter Activity records to those that are draft, billed, unbilled or non-billable. |
| task_id | string | No | The unique identifier for a single Task. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
| type | string | No | Filter Activity records to those of a specific type. |
| updated_since | string | No | Filter Activity records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| user_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a Activity. The list will be filtered to include only the Activity records with the matching property. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_activities"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_activities",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activities Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_activity/activitiesCreate a new Activity
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| activity_description | object | No | |
| calendar_entry | object | No | |
| client_portal | object | No | |
| communication | object | No | |
| contact_note | object | No | |
| date | string | Yes | |
| expense_category | object | No | |
| matter | object | No | |
| matter_note | object | No | |
| no_charge | boolean | No | |
| non_billable | boolean | No | |
| note | string | No | |
| price | number | No | |
| quantity | number | No | |
| reference | string | No | |
| start_timer | boolean | No | |
| task | object | No | |
| tax_setting | object | No | |
| text_message_conversation | object | No | |
| type | object | Yes | |
| user | object | No | |
| utbms_expense | object | No | |
| vendor | object | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_activity",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/activities
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"activity_description": "<activity_description>",
"calendar_entry": "<calendar_entry>",
"client_portal": "<client_portal>",
"communication": "<communication>",
"contact_note": "<contact_note>"
}Response
{
"data": null
}GETget_activity/activities/:idReturn the data for a single Activity
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Activity. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_activity",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activities/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_activity/activities/:idUpdate a single Activity
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Activity. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| activity_description | object | No | |
| calendar_entry | object | No | |
| client_portal | object | No | |
| communication | object | No | |
| contact_note | object | No | |
| date | string | No | |
| expense_category | object | No | |
| matter | object | No | |
| matter_note | object | No | |
| no_charge | boolean | No | |
| non_billable | boolean | No | |
| note | string | No | |
| price | number | No | |
| quantity | number | No | |
| reference | string | No | |
| start_timer | boolean | No | |
| task | object | No | |
| tax_setting | object | No | |
| text_message_conversation | object | No | |
| type | object | No | |
| user | object | No | |
| utbms_expense | object | No | |
| vendor | object | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_activity",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/activities/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"activity_description": "<activity_description>",
"calendar_entry": "<calendar_entry>",
"client_portal": "<client_portal>",
"communication": "<communication>",
"contact_note": "<contact_note>"
}Response
{
"data": null
}DELETEdelete_activity/activities/:idDelete a single Activity
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Activity. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_activity",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/activities/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_activity_rates/activity_ratesReturn the data for all ActivityRates
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| co_counsel_contact_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the ActivityRate records with the matching property. |
| contact_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the ActivityRate records with the matching property. |
| created_since | string | No | Filter ActivityRate records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter ActivityRate records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of ActivityRate records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| updated_since | string | No | Filter ActivityRate records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_activity_rates"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_activity_rates",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activity_rates Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_activity_rate/activity_ratesCreate a new ActivityRate
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| co_counsel_contact_id | number | No | |
| contact_id | number | No | |
| flat_rate | boolean | No | |
| rate | number | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_activity_rate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_activity_rate",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/activity_rates
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"co_counsel_contact_id": 1,
"contact_id": 1,
"flat_rate": "<flat_rate>",
"rate": 1
}Response
{
"data": null
}GETget_activity_rate/activity_rates/:idReturn the data for a single ActivityRate
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityRate. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_activity_rate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_activity_rate",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activity_rates/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_activity_rate/activity_rates/:idUpdate a single ActivityRate
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityRate. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| co_counsel_contact_id | number | No | |
| contact_id | number | No | |
| flat_rate | boolean | No | |
| rate | number | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_activity_rate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_activity_rate",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/activity_rates/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"co_counsel_contact_id": 1,
"contact_id": 1,
"flat_rate": "<flat_rate>",
"rate": 1
}Response
{
"data": null
}DELETEdelete_activity_rate/activity_rates/:idDelete a single ActivityRate
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityRate. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_activity_rate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_activity_rate",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/activity_rates/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_activity_descriptions/activity_descriptionsReturn the data for all ActivityDescriptions
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter ActivityDescription records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| flat_rate | string | No | Filter ActivityDescription records to those that have a flat rate, or not. |
| ids[] | string | No | Filter ActivityDescription records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of ActivityDescription records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| rate_for[matter_id] | string | No | Matter id for rate calculation. |
| rate_for[user_id] | string | No | User id for rate calculation. If not provided, the user associated to the API request is assumed. |
| type | string | No | Filter ActivityDescription records to those of a specific type. |
| updated_since | string | No | Filter ActivityDescription records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| user_id | string | No | The unique identifier for a single User. The keyword `null` is not valid for this field. The list will be filtered to include only the ActivityDescription records with the matching property. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_activity_descriptions"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_activity_descriptions",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activity_descriptions Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_activity_description/activity_descriptionsCreate a new ActivityDescription
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| currency | object | No | |
| default | boolean | No | |
| groups | array | No | |
| name | string | Yes | |
| rate | object | No | |
| visible_to_co_counsel | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_activity_description"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_activity_description",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/activity_descriptions
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"currency": "<currency>",
"default": "<default>",
"groups": "<groups>",
"name": "<name>",
"rate": "<rate>"
}Response
{
"data": null
}GETget_activity_description/activity_descriptions/:idReturn the data for a single ActivityDescription
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityDescription. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_activity_description"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_activity_description",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/activity_descriptions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_activity_description/activity_descriptions/:idUpdate a single ActivityDescription
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityDescription. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| currency | object | No | |
| default | boolean | No | |
| groups | array | No | |
| name | string | No | |
| rate | object | No | |
| visible_to_co_counsel | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_activity_description"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_activity_description",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/activity_descriptions/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"currency": "<currency>",
"default": "<default>",
"groups": "<groups>",
"name": "<name>",
"rate": "<rate>"
}Response
{
"data": null
}DELETEdelete_activity_description/activity_descriptions/:idDelete a single ActivityDescription
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ActivityDescription. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_activity_description"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_activity_description",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/activity_descriptions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_allocations/allocationsReturn the data for all Allocations
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bill_id | string | No | The unique identifier for a single Bill. The keyword `null` is not valid for this field. The list will be filtered to include only the Allocation records with the matching property. |
| contact_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the Allocation records with the matching property. |
| created_since | string | No | Filter Allocation records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter Allocation records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of Allocation records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. The keyword `null` is not valid for this field. The list will be filtered to include only the Allocation records with the matching property. |
| order | string | No | Orders the Allocation records by the given field. Default: `date(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| parent_id | string | No | ID of parent (either a Payment or CreditMemo) this allocation belongs to |
| parent_type | string | No | Filter Allocation records based on whether the parent is a CreditMemo or a Payment. |
| status | string | No | Filter Allocation records to only those that are voided (`"invalid"`) or not voided (`"valid"`). |
| updated_since | string | No | Filter Allocation records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_allocations"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_allocations",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/allocations Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETget_allocation/allocations/:idReturn the data for a single Allocation
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Allocation. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_allocation"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_allocation",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/allocations/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_bank_accounts/bank_accountsReturn the data for all BankAccounts
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter BankAccount records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter BankAccount records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of BankAccount records to be returned. Limit can range between 1 and 200. Default: `200`. |
| order | string | No | Orders the BankAccount records by the given field. Default: `id(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| show_empty_accounts | string | No | Filter BankAccount records to those having a zero or non zero balance. |
| status | string | No | Filter BankAccount records to those having a specific status. |
| type | string | No | Filter BankAccount records to those having a specific type. |
| updated_since | string | No | Filter BankAccount records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| user_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BankAccount. The list will be filtered to include only the BankAccount records with the matching property. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_bank_accounts"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_bank_accounts",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bank_accounts Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_bank_account/bank_accountsCreate a new BankAccount
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| account_number | string | No | |
| balance | number | No | |
| client | object | No | |
| controlled_account | boolean | No | |
| currency | string | Yes | |
| default_account | boolean | No | |
| domicile_branch | string | No | |
| general_ledger_number | string | No | |
| holder | string | No | |
| institution | string | No | |
| matter | object | No | |
| name | string | No | |
| swift | string | No | |
| transit_number | string | No | |
| type | object | Yes |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_bank_account"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_bank_account",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/bank_accounts
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"account_number": "<account_number>",
"balance": 1,
"client": "<client>",
"controlled_account": "<controlled_account>",
"currency": "<currency>"
}Response
{
"data": null
}GETget_bank_account/bank_accounts/:idReturn the data for a single BankAccount
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankAccount. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_bank_account"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_bank_account",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bank_accounts/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_bank_account/bank_accounts/:idUpdate a single BankAccount
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankAccount. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| account_number | string | No | |
| client | object | No | |
| controlled_account | boolean | No | |
| currency | string | No | |
| default_account | boolean | No | |
| domicile_branch | string | No | |
| general_ledger_number | string | No | |
| holder | string | No | |
| institution | string | No | |
| matter | object | No | |
| name | string | No | |
| swift | string | No | |
| transit_number | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_bank_account"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_bank_account",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/bank_accounts/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"account_number": "<account_number>",
"client": "<client>",
"controlled_account": "<controlled_account>",
"currency": "<currency>",
"default_account": "<default_account>"
}Response
{
"data": null
}DELETEdelete_bank_account/bank_accounts/:idDelete a single BankAccount
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankAccount. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_bank_account"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_bank_account",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/bank_accounts/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_bank_transactions/bank_transactionsReturn the data for all BankTransactions
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bank_account_id | string | No | The unique identifier for a single BankAccount. The keyword `null` is not valid for this field. The list will be filtered to include only the BankTransaction records with the matching property. |
| client_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the BankTransaction records with the matching property. |
| created_since | string | No | Filter BankTransaction records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter BankTransaction records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of BankTransaction records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. The keyword `null` is not valid for this field. The list will be filtered to include only the BankTransaction records with the matching property. |
| order | string | No | Orders the BankTransaction records by the given field. Default: `id(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| type | string | No | Filter BankTransaction records to those having a specific type. |
| unreconciled_only | string | No | Filter BankTransaction records to only those that are unreconciled |
| updated_since | string | No | Filter BankTransaction records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_bank_transactions"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_bank_transactions",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bank_transactions Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_bank_transaction/bank_transactionsCreate a new BankTransaction
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| amount | number | Yes | |
| bank_account | object | Yes | |
| bank_account_transaction_type | string | No | |
| client | object | No | |
| confirmation | string | No | |
| currency | string | No | |
| date | string | Yes | |
| description | string | No | |
| exchange_rate | number | No | |
| matter | object | No | |
| source | string | No | |
| transaction_type | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_bank_transaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_bank_transaction",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/bank_transactions
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"amount": 1,
"bank_account": "<bank_account>",
"bank_account_transaction_type": "<bank_account_transaction_type>",
"client": "<client>",
"confirmation": "<confirmation>"
}Response
{
"data": null
}GETget_bank_transaction/bank_transactions/:idReturn the data for a single BankTransaction
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankTransaction. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_bank_transaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_bank_transaction",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bank_transactions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_bank_transaction/bank_transactions/:idUpdate a single BankTransaction
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankTransaction. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| amount | number | No | |
| bank_account | object | No | |
| bank_account_transaction_type | string | No | |
| client | object | No | |
| confirmation | string | No | |
| currency | string | No | |
| date | string | No | |
| description | string | No | |
| exchange_rate | number | No | |
| matter | object | No | |
| source | string | No | |
| transaction_type | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_bank_transaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_bank_transaction",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/bank_transactions/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"amount": 1,
"bank_account": "<bank_account>",
"bank_account_transaction_type": "<bank_account_transaction_type>",
"client": "<client>",
"confirmation": "<confirmation>"
}Response
{
"data": null
}DELETEdelete_bank_transaction/bank_transactions/:idDelete a single BankTransaction
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankTransaction. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_bank_transaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_bank_transaction",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/bank_transactions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_bank_transfer/bank_transfers/:idReturn the data for a single BankTransfer
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BankTransfer. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_bank_transfer"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_bank_transfer",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bank_transfers/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_bill_themes/bill_themesReturn the data for all BillThemes
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter BillTheme records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter BillTheme records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of BillTheme records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| updated_since | string | No | Filter BillTheme records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_bill_themes"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_bill_themes",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bill_themes Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]PATCHupdate_bill_theme/bill_themes/:idUpdate a single BillTheme
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the BillTheme. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| config | string | No | |
| name | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_bill_theme"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_bill_theme",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/bill_themes/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"config": "<config>",
"name": "<name>"
}Response
{
"data": null
}GETlist_billable_clients/billable_clientsReturn the data for all BillableClients
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| client_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableClient records with the matching property. |
| custom_field_values | string | No | Filter records to only those with the given custom field(s) set. The value is compared using the operator provided, or, if the value type only supports one operator, the supported operator is used. In the latter case, no check for operator is performed on the input string. The key for the custom field value filter is the custom_field.id. e.g. `custom_field_values[12345]` If an operator is used for a type that does not support it, an `400 Bad Request` is returned. *Supported operators:* * `checkbox`, `contact`, `matter`, `picklist` : `=` e.g. `?custom_field_values[1]=42` * `currency`, `date`, `time`, `numeric` : `=`, `<`, `>`, `<=`, `>=` e.g. `?custom_field_values[1]=>=105.4` * `email`, `text_area`, `text_line`, `url` : `=` e.g. `?custom_field_values[1]=url_encoded` *Multiple conditions for the same custom field:* If you want to use more than one operator to filter a custom field, you can do so by passing in an array of values. e.g. `?custom_field_values[1]=[<=50, >=45]` |
| end_date | string | No | Filter BillableClient records to those that have Matters with unbilled Activities on or before this date (Expects an ISO-8601 date). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| limit | string | No | A limit on the number of BillableClient records to be returned. Limit can range between 1 and 25. Default: `25`. |
| matter_id | string | No | The unique identifier for a single Matter. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableClient records with the matching property. |
| originating_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableClient. The list will be filtered to include only the BillableClient records with the matching property. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Wildcard search for `display_number` or `number` or `description` matching a given string. |
| responsible_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableClient. The list will be filtered to include only the BillableClient records with the matching property. |
| start_date | string | No | Filter BillableClient records to those that have Matters with unbilled Activities on or after this date (Expects an ISO-8601 date). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_billable_clients"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_billable_clients",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/billable_clients Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETlist_billable_matter_ids/billable_matters/idsReturns the unique identifiers of all BillableMatter
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| client_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableMatter records with the matching property. |
| custom_field_values | string | No | Filter records to only those with the given custom field(s) set. The value is compared using the operator provided, or, if the value type only supports one operator, the supported operator is used. In the latter case, no check for operator is performed on the input string. The key for the custom field value filter is the custom_field.id. e.g. `custom_field_values[12345]` If an operator is used for a type that does not support it, an `400 Bad Request` is returned. *Supported operators:* * `checkbox`, `contact`, `matter`, `picklist` : `=` e.g. `?custom_field_values[1]=42` * `currency`, `date`, `time`, `numeric` : `=`, `<`, `>`, `<=`, `>=` e.g. `?custom_field_values[1]=>=105.4` * `email`, `text_area`, `text_line`, `url` : `=` e.g. `?custom_field_values[1]=url_encoded` *Multiple conditions for the same custom field:* If you want to use more than one operator to filter a custom field, you can do so by passing in an array of values. e.g. `?custom_field_values[1]=[<=50, >=45]` |
| end_date | string | No | Filter BillableMatter records to those that have matters with unbilled activities on or before this date (Expects an ISO-8601 date). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| limit | string | No | A limit on the number of BillableMatter records to be returned. Limit can range between 1 and 1000. Default: `1000`. |
| matter_id | string | No | The unique identifier for a single Matter. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableMatter records with the matching property. |
| originating_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableMatter. The list will be filtered to include only the BillableMatter records with the matching property. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Wildcard search for `display_number` or `number` or `description` matching a given string. |
| responsible_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableMatter. The list will be filtered to include only the BillableMatter records with the matching property. |
| start_date | string | No | Filter BillableMatter records to those that have matters with unbilled activities on or after this date (Expects an ISO-8601 date). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_billable_matter_ids"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_billable_matter_ids",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/billable_matters/ids Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETlist_billable_matters/billable_mattersReturn the data for all BillableMatters
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| client_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableMatter records with the matching property. |
| custom_field_values | string | No | Filter records to only those with the given custom field(s) set. The value is compared using the operator provided, or, if the value type only supports one operator, the supported operator is used. In the latter case, no check for operator is performed on the input string. The key for the custom field value filter is the custom_field.id. e.g. `custom_field_values[12345]` If an operator is used for a type that does not support it, an `400 Bad Request` is returned. *Supported operators:* * `checkbox`, `contact`, `matter`, `picklist` : `=` e.g. `?custom_field_values[1]=42` * `currency`, `date`, `time`, `numeric` : `=`, `<`, `>`, `<=`, `>=` e.g. `?custom_field_values[1]=>=105.4` * `email`, `text_area`, `text_line`, `url` : `=` e.g. `?custom_field_values[1]=url_encoded` *Multiple conditions for the same custom field:* If you want to use more than one operator to filter a custom field, you can do so by passing in an array of values. e.g. `?custom_field_values[1]=[<=50, >=45]` |
| end_date | string | No | Filter BillableMatter records to those that have matters with unbilled activities on or before this date (Expects an ISO-8601 date). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| limit | string | No | A limit on the number of BillableMatter records to be returned. Limit can range between 1 and 1000. Default: `1000`. |
| matter_id | string | No | The unique identifier for a single Matter. The keyword `null` is not valid for this field. The list will be filtered to include only the BillableMatter records with the matching property. |
| originating_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableMatter. The list will be filtered to include only the BillableMatter records with the matching property. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Wildcard search for `display_number` or `number` or `description` matching a given string. |
| responsible_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a BillableMatter. The list will be filtered to include only the BillableMatter records with the matching property. |
| start_date | string | No | Filter BillableMatter records to those that have matters with unbilled activities on or after this date (Expects an ISO-8601 date). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_billable_matters"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_billable_matters",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/billable_matters Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETpreview_bill/bills/:id/previewReturns the pre-rendered html for the Bill
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Bill. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "preview_bill"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "preview_bill",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bills/:id/preview Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETlist_bills/billsReturn the data for all Bills
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bill_number | string | No | Filter Bill records to those with this exact bill number |
| client_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the Bill records with the matching property. |
| created_since | string | No | Filter Bill records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| currency_id | string | No | Filter Bill records to those of a specific currency. |
| custom_field_values | string | No | Filter records to only those with the given custom field(s) set. The value is compared using the operator provided, or, if the value type only supports one operator, the supported operator is used. In the latter case, no check for operator is performed on the input string. The key for the custom field value filter is the custom_field.id. e.g. `custom_field_values[12345]` If an operator is used for a type that does not support it, an `400 Bad Request` is returned. *Supported operators:* * `checkbox`, `contact`, `matter`, `picklist` : `=` e.g. `?custom_field_values[1]=42` * `currency`, `date`, `time`, `numeric` : `=`, `<`, `>`, `<=`, `>=` e.g. `?custom_field_values[1]=>=105.4` * `email`, `text_area`, `text_line`, `url` : `=` e.g. `?custom_field_values[1]=url_encoded` *Multiple conditions for the same custom field:* If you want to use more than one operator to filter a custom field, you can do so by passing in an array of values. e.g. `?custom_field_values[1]=[<=50, >=45]` |
| due_after | string | No | Filter Bill records to those that have a `due_date` after the one provided (Expects an ISO-8601 date). |
| due_at | string | No | Filter Bill records to those that have a specific `due_date` (Expects an ISO-8601 date). |
| due_before | string | No | Filter Bill records to those that have a `due_date` before the one provided (Expects an ISO-8601 date). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter Bill records to those having the specified unique identifiers. |
| issued_after | string | No | Filter Bill records to those that have an `issue_date` after the one provided (Expects an ISO-8601 date). |
| issued_before | string | No | Filter Bill records to those that have an `issue_date` before the one provided (Expects an ISO-8601 date). |
| last_sent_end_date | string | No | Filter Bill records for those whose bills have been sent before the specified date |
| last_sent_start_date | string | No | Filter Bill records for those whose bills have been sent after the specified date |
| limit | string | No | A limit on the number of Bill records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. Use the keyword `null` to match those without a Bill. The list will be filtered to include only the Bill records with the matching property. |
| order | string | No | Orders the Bill records by the given field. Default: `id(asc)`. |
| originating_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a Bill. The list will be filtered to include only the Bill records with the matching property. |
| overdue_only | string | No | Filter Bill records to those that are overdue. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Allows matching search on invoice number. |
| responsible_attorney_id | string | No | The unique identifier for a single User. Use the keyword `null` to match those without a Bill. The list will be filtered to include only the Bill records with the matching property. |
| state | string | No | Filter Bill records to those in a given state. |
| status | string | No | Filter Bill records to those with particular payment status. |
| type | string | No | Filter Bill records to those of a specific type. |
| updated_since | string | No | Filter Bill records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_bills"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_bills",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bills Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETget_bill/bills/:idReturn the data for a single Bill
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Bill. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| navigation.next | string | No | The id of the next *Bill* available for viewing |
| navigation.previous | string | No | The id of the previous *Bill* available for viewing |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_bill"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_bill",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/bills/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_bill/bills/:idUpdate a single Bill
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Bill. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bill_theme | object | No | |
| currency_id | number | No | |
| discount | object | No | |
| due_at | string | No | |
| interest | object | No | |
| issued_at | string | No | |
| memo | string | No | |
| number | string | No | |
| purchase_order | string | No | |
| secondary_tax_rate | number | No | |
| state | object | No | |
| subject | string | No | |
| tax_rate | number | No | |
| use_grace_period | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_bill"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_bill",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/bills/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"bill_theme": "<bill_theme>",
"currency_id": 1,
"discount": "<discount>",
"due_at": "<due_at>",
"interest": "<interest>"
}Response
{
"data": null
}DELETEdelete_bill/bills/:idDelete or void a Bill
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Bill. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_bill"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_bill",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/bills/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_calendar_entries/calendar_entriesReturn the data for all CalendarEntries
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| calendar_id | string | No | The unique identifier for a single Calendar. The keyword `null` is not valid for this field. The list will be filtered to include only the CalendarEntry records with the matching property. |
| created_since | string | No | Filter CalendarEntry records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| expanded | string | No | Returns a record for each occurrence of a recurring calendar event. Non-recurring calendar events are unaffected and returned as separate records regardless of the expanded setting. |
| external_property_name | string | No | Filter records to only those with the given external property(s) name set. e.g. `?external_property_name=Name` |
| external_property_value | string | No | Filter records to only those with the given external property(s) value set. Requires external property name as well. e.g. `?external_property_name=Name&external_property_value=Value` |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| from | string | No | Filter CalendarEntry records to those that end on or after the provided time (Expects an ISO-8601 timestamp). |
| has_court_rule | string | No | Allows matching court rule on calendar entry. |
| ids[] | string | No | Filter CalendarEntry records to those having the specified unique identifiers. |
| is_all_day | string | No | Filter CalendarEntry records to those that are marked as all day events. |
| limit | string | No | A limit on the number of CalendarEntry records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. Use the keyword `null` to match those without a CalendarEntry. The list will be filtered to include only the CalendarEntry records with the matching property. |
| owner_entries_across_all_users | string | No | Returns CalendarEntry records for all users related to a matter. Requires matter id. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Allows matching search on calendar entry. |
| source | string | No | Filter CalendarEntry records to those having a specific calendar visibility source (mobile, web). |
| to | string | No | Filter CalendarEntry records to those that begin on or before the provided time (Expects an ISO-8601 timestamp). |
| updated_since | string | No | Filter CalendarEntry records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| visible | string | No | Filter CalendarEntry records to those that are visible. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_calendar_entries"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_calendar_entries",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendar_entries Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_calendar_entry/calendar_entriesCreate a new CalendarEntry
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| _deleted | object | No | |
| all_day | boolean | No | |
| attendees | array | No | |
| calendar_entry_event_type | object | No | |
| calendar_owner | object | Yes | |
| conference_meeting | object | No | |
| description | string | No | |
| end_at | string | Yes | |
| external_properties | array | No | |
| location | string | No | |
| matter | object | No | |
| recurrence_rule | string | No | |
| send_email_notification | boolean | No | |
| start_at | string | Yes | |
| summary | string | Yes |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_calendar_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_calendar_entry",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/calendar_entries
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"_deleted": "<_deleted>",
"all_day": "<all_day>",
"attendees": "<attendees>",
"calendar_entry_event_type": "<calendar_entry_event_type>",
"calendar_owner": "<calendar_owner>"
}Response
{
"data": null
}GETget_calendar_entry/calendar_entries/:idReturn the data for a single CalendarEntry
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntry. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_calendar_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_calendar_entry",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendar_entries/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_calendar_entry/calendar_entries/:idUpdate a single CalendarEntry
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntry. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| _deleted | object | No | |
| all_day | boolean | No | |
| attendees | array | No | |
| calendar_entry_event_type | object | No | |
| calendar_owner | object | No | |
| conference_meeting | object | No | |
| description | string | No | |
| end_at | string | No | |
| external_properties | array | No | |
| location | string | No | |
| matter | object | No | |
| recurrence_rule | string | No | |
| send_email_notification | boolean | No | |
| start_at | string | No | |
| summary | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_calendar_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_calendar_entry",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/calendar_entries/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"_deleted": "<_deleted>",
"all_day": "<all_day>",
"attendees": "<attendees>",
"calendar_entry_event_type": "<calendar_entry_event_type>",
"calendar_owner": "<calendar_owner>"
}Response
{
"data": null
}DELETEdelete_calendar_entry/calendar_entries/:idDelete a single CalendarEntry
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntry. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_calendar_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_calendar_entry",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/calendar_entries/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_calendar_entry_event_types/calendar_entry_event_typesReturn the data for all calendar entry event types
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter CalendarEntryEventType records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter CalendarEntryEventType records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of CalendarEntryEventType records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| updated_since | string | No | Filter CalendarEntryEventType records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_calendar_entry_event_types"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_calendar_entry_event_types",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendar_entry_event_types Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_calendar_entry_event_type/calendar_entry_event_typesCreate a new calendar entry event type
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| color | object | Yes | |
| name | string | Yes |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_calendar_entry_event_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_calendar_entry_event_type",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/calendar_entry_event_types
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"color": "<color>",
"name": "<name>"
}GETget_calendar_entry_event_type/calendar_entry_event_types/:idReturn the data for a single calendar entry event type
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntryEventType. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_calendar_entry_event_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_calendar_entry_event_type",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendar_entry_event_types/:id Authorization: Bearer <your-api-key> Content-Type: application/json
PATCHupdate_calendar_entry_event_type/calendar_entry_event_types/:idUpdate a single calendar entry event type
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntryEventType. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| color | object | No | |
| name | string | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_calendar_entry_event_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_calendar_entry_event_type",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/calendar_entry_event_types/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"color": "<color>",
"name": "<name>"
}DELETEdelete_calendar_entry_event_type/calendar_entry_event_types/:idDelete a single calendar entry event type
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the CalendarEntryEventType. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_calendar_entry_event_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_calendar_entry_event_type",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/calendar_entry_event_types/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_calendars/calendarsReturn the data for all Calendars
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter Calendar records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| filter_inactive_users | string | No | Filter any shared UserCalendar records whose owner is inactive. |
| ids[] | string | No | Filter Calendar records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of Calendar records to be returned. Limit can range between 1 and 200. Default: `200`. |
| order | string | No | Orders the Calendar records by the given field. Default: `id(asc)`. |
| owner | string | No | Filter Calendar records to those that the user owns. |
| page_token | string | No | A token specifying which page to return. |
| source | string | No | Filter Calendar records to those having a specific calendar visibility source (mobile, web). |
| type | string | No | Filter Calendar records to those of the specified type. |
| updated_since | string | No | Filter Calendar records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| visible | string | No | Filter Calendar records to those that are visible. |
| writeable | string | No | Filter Calendar records to those which the user can write to. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_calendars"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_calendars",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendars Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_calendar/calendarsCreate a new Calendar
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| color | object | No | |
| name | string | Yes | |
| source | object | No | |
| visible | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_calendar"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_calendar",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/calendars
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"color": "<color>",
"name": "<name>",
"source": "<source>",
"visible": "<visible>"
}Response
{
"data": null
}GETget_calendar/calendars/:idReturn the data for a single Calendar
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Calendar. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_calendar"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_calendar",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/calendars/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_calendar/calendars/:idUpdate a single Calendar
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Calendar. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| color | object | No | |
| name | string | No | |
| source | object | No | |
| visible | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_calendar"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_calendar",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/calendars/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"color": "<color>",
"name": "<name>",
"source": "<source>",
"visible": "<visible>"
}Response
{
"data": null
}DELETEdelete_calendar/calendars/:idDelete a single Calendar
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Calendar. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "delete_calendar"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "delete_calendar",
"params": {
"id": "<id>"
}
}
}
}Request
DELETE https://app.ferrule.io/api/v1/clio/calendars/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_clio_file_submissions/clio_file/submissions_reportsReturn the data for all ClioFile::Submissions
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| created_since | string | No | Filter ClioFile::Submission records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter ClioFile::Submission records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of ClioFile::Submission records to be returned. Limit can range between 1 and 200. Default: `200`. |
| order | string | No | Orders the ClioFile::Submission records by the given field. Default: `id(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| submitted_after | string | No | Filter ClioFile::Submission records to those whose `submitted_date` is on or after the given date (Expects an ISO-8601 date). |
| submitted_before | string | No | Filter ClioFile::Submission records to those whose `submitted_date` is on or before the given date (Expects an ISO-8601 date). |
| updated_since | string | No | Filter ClioFile::Submission records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_clio_file_submissions"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_clio_file_submissions",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/clio_file/submissions_reports Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETlist_clio_payments_links/clio_payments/linksReturn the data for all ClioPaymentsLinks
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| active | string | No | Filter ClioPaymentsLink records based on whether or not they have expired. |
| created_since | string | No | Filter ClioPaymentsLink records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter ClioPaymentsLink records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of ClioPaymentsLink records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| updated_since | string | No | Filter ClioPaymentsLink records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_clio_payments_links"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_clio_payments_links",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/clio_payments/links Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_clio_payments_link/clio_payments/linksCreate a new ClioPaymentsLink
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| amount | number | No | |
| currency | string | Yes | |
| description | string | Yes | |
| destination_account | object | Yes | |
| destination_contact | object | No | |
| duration | number | Yes | |
| email_address | string | No | |
| is_allocated_as_revenue | boolean | No | |
| subject | object | Yes |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_clio_payments_link"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_clio_payments_link",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/clio_payments/links
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"amount": 1,
"currency": "<currency>",
"description": "<description>",
"destination_account": "<destination_account>",
"destination_contact": "<destination_contact>"
}Response
{
"data": null
}GETget_clio_payments_link/clio_payments/links/:idReturn the data for a single ClioPaymentsLink
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ClioPaymentsLink. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_clio_payments_link"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_clio_payments_link",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/clio_payments/links/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}PATCHupdate_clio_payments_link/clio_payments/links/:idUpdate a single ClioPaymentsLink
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ClioPaymentsLink. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| expired | boolean | No |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "update_clio_payments_link"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "update_clio_payments_link",
"params": {
"id": "<id>"
}
}
}
}Request
PATCH https://app.ferrule.io/api/v1/clio/clio_payments/links/:id
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"expired": "<expired>"
}Response
{
"data": null
}GETlist_clio_payments_payments/clio_payments/paymentsReturn the data for all ClioPaymentsPayments
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bill_id | string | No | Filter ClioPaymentsPayment records to those that are allocated to the specified bill. |
| contact_id | string | No | Filter ClioPaymentsPayment records to those that are assigned to the specified contact. |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| ids[] | string | No | Filter ClioPaymentsPayment records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of ClioPaymentsPayment records to be returned. Limit can range between 1 and 200. Default: `200`. |
| page_token | string | No | A token specifying which page to return. |
| state | string | No | Filter ClioPaymentsPayment records to those in a given state. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_clio_payments_payments"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_clio_payments_payments",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/clio_payments/payments Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]GETget_clio_payments_payment/clio_payments/payments/:idReturn the data for a single ClioPaymentsPayment
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the ClioPaymentsPayment. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_clio_payments_payment"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "get_clio_payments_payment",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/clio_payments/payments/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_communications/communicationsReturn the data for all Communications
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| contact_id | string | No | The unique identifier for a single Contact. The keyword `null` is not valid for this field. The list will be filtered to include only the Communication records with the matching property. |
| created_since | string | No | Filter Communication records to those having the `created_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| date | string | No | Filter Communication records to those that occur on the specified date (Expects an ISO-8601 date). |
| external_property_name | string | No | Filter records to only those with the given external property(s) name set. e.g. `?external_property_name=Name` |
| external_property_value | string | No | Filter records to only those with the given external property(s) value set. Requires external property name as well. e.g. `?external_property_name=Name&external_property_value=Value` |
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
| having_time_entries | string | No | Filter Communication records to those that do or do not have time entries. |
| ids[] | string | No | Filter Communication records to those having the specified unique identifiers. |
| limit | string | No | A limit on the number of Communication records to be returned. Limit can range between 1 and 200. Default: `200`. |
| matter_id | string | No | The unique identifier for a single Matter. Use the keyword `null` to match those without a Communication. The list will be filtered to include only the Communication records with the matching property. |
| order | string | No | Orders the Communication records by the given field. Default: `date(asc)`. |
| page_token | string | No | A token specifying which page to return. |
| query | string | No | Wildcard search for `body` or `subject` matching a given string. |
| received_at | string | No | Filter Communication records to those that occur on the specified date (Expects an ISO-8601 date-time). |
| received_before | string | No | Filter Communication records to those whose `date` is on or before the date provided (Expects an ISO-8601 date). |
| received_since | string | No | Filter Communication records to those whose `date` is on or after the date provided (Expects an ISO-8601 date). |
| type | string | No | Filter Communication records to those of the specified type. |
| updated_since | string | No | Filter Communication records to those having the `updated_at` field after a specific time. (Expects an ISO-8601 timestamp). |
| user_id | string | No | The unique identifier for a single User. The keyword `null` is not valid for this field. The list will be filtered to include only the Communication records with the matching property. |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "list_communications"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "list_communications",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/clio/communications Authorization: Bearer <your-api-key> Content-Type: application/json
Response
[
{
"items": []
}
]POSTcreate_communication/communicationsCreate a new Communication
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| body | string | Yes | |
| external_properties | array | No | |
| matter | object | No | |
| notification_event_subscribers | array | No | |
| received_at | string | Yes | |
| receivers | array | No | |
| senders | array | No | |
| subject | string | Yes | |
| type | object | Yes |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "create_communication"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
"arguments": {
"method": "create_communication",
"params": {}
}
}
}Request
POST https://app.ferrule.io/api/v1/clio/communications
Authorization: Bearer <your-api-key>
Content-Type: application/json
{
"body": "<body>",
"external_properties": "<external_properties>",
"matter": "<matter>",
"notification_event_subscribers": "<notification_event_subscribers>",
"received_at": "<received_at>"
}Response
{
"data": null
}GETget_communication/communications/:idReturn the data for a single Communication
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier for the Communication. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| fields | string | No | The fields to be returned. See response samples for what fields are available. For more information see the [fields section](#section/Fields). |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "clio",
"method": "get_communication"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_clio",
[...]
